org.mozilla.javascript

## Class NativeContinuation

- java.lang.Object
- - org.mozilla.javascript.ScriptableObject
  - - org.mozilla.javascript.IdScriptableObject
    - - org.mozilla.javascript.NativeContinuation

All Implemented Interfaces:
  java.io.Serializable, Callable, ConstProperties, DebuggableObject, Function, IdFunctionCall, Scriptable

    public final class NativeContinuation
    extends IdScriptableObject
    implements Function

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.mozilla.javascript.ScriptableObject

`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`NativeContinuation()`

### Method Summary

Methods
`java.lang.Object` `call(Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` Call the function.
`Scriptable` `construct(Context cx, Scriptable scope, java.lang.Object[] args)` Call the function as a constructor.
`java.lang.Object` `execIdCall(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.
`protected int` `findPrototypeId(java.lang.String s)`
`java.lang.String` `getClassName()` Return the name of the class.
`java.lang.Object` `getImplementation()`
`static void` `init(Context cx, Scriptable scope, boolean sealed)`
`void` `initImplementation(java.lang.Object implementation)`
`protected void` `initPrototypeId(int id)`
`static boolean` `isContinuationConstructor(IdFunctionObject f)`

### Methods inherited from class org.mozilla.javascript.IdScriptableObject

`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, defineOwnProperty, delete, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, get, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, getOwnPropertyDescriptor, has, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdAttributes, setInstanceIdValue`

### Methods inherited from class org.mozilla.javascript.ScriptableObject

`applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, checkPropertyChange, checkPropertyDefinition, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineOwnProperty, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, equivalentValues, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getSlot, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, getTypeOf, has, hasInstance, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sameValue, sealObject, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mozilla.javascript.Scriptable

`delete, delete, get, get, getDefaultValue, getIds, getParentScope, getPrototype, has, has, hasInstance, put, put, setParentScope, setPrototype`

### Constructor Detail

#### NativeContinuation

    public NativeContinuation()

### Method Detail

#### init

    public static void init(Context cx,
            Scriptable scope,
            boolean sealed)

#### getImplementation

    public java.lang.Object getImplementation()

#### initImplementation

    public void initImplementation(java.lang.Object implementation)

#### getClassName

    public java.lang.String getClassName()

Description copied from class: `ScriptableObject`
Return the name of the class. This is typically the same name as the constructor. Classes extending ScriptableObject must implement this abstract method.

Specified by:
  `getClassName` in interface `Scriptable`
Specified by:
  `getClassName` in class `ScriptableObject`

#### construct

    public Scriptable construct(Context cx,
                       Scriptable scope,
                       java.lang.Object[] args)

Description copied from interface: `Function`
Call the function as a constructor. This method is invoked by the runtime in order to satisfy a use of the JavaScript `new` operator. This method is expected to create a new object and return it.

Specified by:
  `construct` in interface `Function`
Parameters:
  `cx` - the current Context for this thread
  `scope` - an enclosing scope of the caller except when the function is called from a closure.
  `args` - the array of arguments
Returns:
  the allocated object

#### call

    public java.lang.Object call(Context cx,
                        Scriptable scope,
                        Scriptable thisObj,
                        java.lang.Object[] args)

Description copied from interface: `Function`
Call the function. Note that the array of arguments is not guaranteed to have length greater than 0.

Specified by:
  `call` in interface `Callable`
Specified by:
  `call` in interface `Function`
Parameters:
  `cx` - the current Context for this thread
  `scope` - the scope to execute the function relative to. This is set to the value returned by getParentScope() except when the function is called from a closure.
  `thisObj` - the JavaScript `this` object
  `args` - the array of arguments
Returns:
  the result of the call

#### isContinuationConstructor

    public static boolean isContinuationConstructor(IdFunctionObject f)

#### initPrototypeId

    protected void initPrototypeId(int id)

Overrides:
  `initPrototypeId` in class `IdScriptableObject`

#### execIdCall

    public java.lang.Object execIdCall(IdFunctionObject f,
                              Context cx,
                              Scriptable scope,
                              Scriptable thisObj,
                              java.lang.Object[] args)

Description copied from class: `IdScriptableObject`
'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.

Specified by:
  `execIdCall` in interface `IdFunctionCall`
Overrides:
  `execIdCall` in class `IdScriptableObject`

#### findPrototypeId

    protected int findPrototypeId(java.lang.String s)

Overrides:
  `findPrototypeId` in class `IdScriptableObject`